Loading...
Searching...
No Matches
prometheus::TextSerializer Class Reference
Inheritance diagram for prometheus::TextSerializer:
[legend]
Collaboration diagram for prometheus::TextSerializer:
[legend]

## Public Member Functions

void | Serialize (std::ostream &out, const std::vector< MetricFamily > &metrics) const override
virtual std::string | Serialize (const std::vector< MetricFamily > &) const
virtual void | Serialize (std::ostream &out, const std::vector< MetricFamily > &metrics) const=0

## Member Function Documentation

## Serialize() [1/3]

std::string prometheus::Serializer::Serialize | ( | const std::vector< MetricFamily > & | metrics | ) | const

virtual

Reimplemented from prometheus::Serializer.

## Serialize() [2/3]

void prometheus::TextSerializer::Serialize | ( | std::ostream & | out,
|  | const std::vector< MetricFamily > & | metrics
| ) |  | const

override virtual

Implements prometheus::Serializer.

## Serialize() [3/3]

virtual void prometheus::Serializer::Serialize | ( | std::ostream & | out,
|  | const std::vector< MetricFamily > & | metrics
| ) |  | const

virtual

Implements prometheus::Serializer.